Bug 186977 - Activity feedback during package searching
Activity feedback during package searching
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pirut (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 14:39 EST by James Bowes
Modified: 2013-01-10 04:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-12 13:46:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add a progress bar and status bar to pirut's main window. (3.23 KB, patch)
2006-03-27 14:39 EST, James Bowes
no flags Details | Diff

  None (edit)
Description James Bowes 2006-03-27 14:39:00 EST
While a search is running, pirut provides no feedback to the user (well, besides
the package list filling up).

This patch adds a status bar and progess bar to the pirut main window. While a
search is running, the progress bar 'pulses' to show that there is activity, and
the status bar displays the message "Searching for '$SEARCH_STRING'". Once the
search is complete, the status bar message is removed, and the progress bar
stops pulsing.
Comment 1 James Bowes 2006-03-27 14:39:01 EST
Created attachment 126845 [details]
Add a progress bar and status bar to pirut's main window.
Comment 2 Jeremy Katz 2006-04-12 13:46:43 EDT
Committed with the minor modification to only show the progress bar when a
search is in progress

Note You need to log in before you can comment on or make changes to this bug.